Bug 509521 - Review Request: perl-CGI-Application-Plugin-TT - Add Template Toolkit support to CGI::Application
Summary: Review Request: perl-CGI-Application-Plugin-TT - Add Template Toolkit support...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-03 09:24 UTC by Emmanuel Seyman
Modified: 2009-07-16 07:03 UTC (History)
3 users (show)

Fixed In Version: 1.04-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-16 07:03:26 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-07-03 09:24:58 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-TT/perl-CGI-Application-Plugin-TT.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-TT/perl-CGI-Application-Plugin-TT-1.04-1.fc11.src.rpm
Description:
CGI::Application::Plugin::TT adds support for the popular Template Toolkit
engine to your CGI::Application modules by providing several helper methods
that allow you to process template files from within your runmodes.

Comment 1 Parag AN(पराग) 2009-07-03 09:59:13 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1452265
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8457506a05277b125cb3f8367150ff8f3c97a4f5  CGI-Application-Plugin-TT-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=11, Tests=61,  3 wallclock secs ( 0.09 usr  0.03 sys +  2.56 cusr  0.16 csys =  2.84 CPU)
+ Package  perl-CGI-Application-Plugin-TT-1.04-1.fc12.noarch =>
Provides: perl(CGI::Application::Plugin::TT) = 1.04
Requires: perl(CGI::Application) >= 4.0 perl(Carp) perl(Exporter) perl(File::Spec) perl(Scalar::Util) perl(Template) >= 2.0 perl(strict) perl(vars)
+ Not a GUI application

APPROVED.

Comment 2 Emmanuel Seyman 2009-07-03 10:08:48 UTC
(In reply to comment #1)
>
> APPROVED.

Thanks for the review! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-TT
Short Description: Add Template Toolkit support to CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-07-06 04:03:08 UTC
cvs done.

Comment 4 Fedora Update System 2009-07-06 09:10:33 UTC
perl-CGI-Application-Plugin-TT-1.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-TT-1.04-1.fc11

Comment 5 Fedora Update System 2009-07-11 17:30:01 UTC
perl-CGI-Application-Plugin-TT-1.04-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-TT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7519

Comment 6 Fedora Update System 2009-07-16 07:03:21 UTC
perl-CGI-Application-Plugin-TT-1.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.